Bug 1265125 - [RFE] Allow activation keys to enable product repos regardless of whether there is a subscription attached or not
Summary: [RFE] Allow activation keys to enable product repos regardless of whether the...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Activation Keys
Version: 6.1.2
Hardware: All
OS: Linux
high
high vote
Target Milestone: Unspecified
Assignee: Tom McKay
QA Contact: Bruno Rocha
URL:
Whiteboard:
Depends On:
Blocks: 1479962
TreeView+ depends on / blocked
 
Reported: 2015-09-22 08:00 UTC by Kenny Tordeurs
Modified: 2019-10-10 10:13 UTC (History)
36 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 12:32:18 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:0336 normal SHIPPED_LIVE Important: Satellite 6.3 security, bug fix, and enhancement update 2018-02-21 22:43:42 UTC
Foreman Issue Tracker 16574 None None None 2016-09-15 19:28:00 UTC
Red Hat Bugzilla 1344049 'unspecified' 'CLOSED' '[RFE] Ability to use subscription associated to hypervisor when adding a server with activation key' 2019-11-15 08:53:51 UTC

Internal Links: 1344049

Comment 19 Justin Sherrill 2016-01-20 20:13:19 UTC
Note there is a workaround for this:

1) Create two activation keys  Key "A" and Key "B", assign them both to the same lifecycle environment and content view
2) Assign no subscriptions to Key A
3) Assign a VDC subscription or some other subscription to Key B that provides content.  This subscription does not even need to have any free entitlements available
4) Adjust the enabled content on Key B
5) Register a client with  --activationkeys=A,B

The guest will use Key A to auto heal itself grabbing the guest subscription and then use Key B to grab the list of enabled repos.

Comment 20 Bryan Kearney 2016-07-08 20:19:58 UTC
Per 6.3 planning, moving out non acked bugs to the backlog

Comment 22 Tom McKay 2016-09-15 19:27:56 UTC
Created redmine issue http://projects.theforeman.org/issues/16574 from this bug

Comment 23 Bryan Kearney 2016-09-15 20:10:58 UTC
Upstream bug component is Content Management

Comment 24 Bryan Kearney 2016-09-21 18:10:06 UTC
Upstream bug component is Activation Keys

Comment 25 Sean O'Keeffe 2016-09-29 09:27:59 UTC
Another way to workaround this is to add a sub to the activation key then enable/disable Product Content and then remove the sub from the activation key, this will still mean the options you set under Product Content will still be there you just can't change them unless you have a subscription attached to the activation key.

Comment 27 Julio Entrena Perez 2016-11-01 16:14:38 UTC
Workaround in comment 25 seems to work, thank you Sean!

Comment 40 Bruno Rocha 2017-11-02 18:17:39 UTC
Addressed by Organization Level Content Access

https://bugzilla.redhat.com/show_bug.cgi?id=1498158

Comment 46 errata-xmlrpc 2018-02-21 12:32:18 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.